## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Name:			python-pinecil
Version:		0.2.15
Release:		%autorelease
Summary:		Pinecil interface python library
License:		MIT
URL:			https://github.com/builder555/pinecil_lib

Source0:		https://github.com/builder555/pinecil_lib/archive/v%{version}/pinecil-%{version}.tar.gz

BuildRequires:	python3-devel
# Test dependencies:
BuildRequires:	python3dist(pytest)

%global _description %{expand:
Pinecil is a lightweight Python library designed to inetrafce with Pinecil V2 soldering iron.}

%description %_description

%package -n python3-pinecil
Summary:		%{summary}

%description -n python3-pinecil %_description

%prep
%autosetup -n pinecil_lib-%{version}

%generate_buildrequires
%pyproject_buildrequires

# Bump maximum python version for Fedora rawhide
sed -i 's/3.13/3.14/g' pyproject.toml

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -L pinecil

%check
%pyproject_check_import
%pytest

%files

%files -n python3-pinecil -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sat Mar 08 2025 Luca Magrone <luca@magrone.cc> - 0.2.15-2
- Bump maximum python version

* Sat Mar 08 2025 Luca Magrone <luca@magrone.cc> - 0.2.15-1
- Initial package
## END: Generated by rpmautospec
